<?php
if (session_status() == PHP_SESSION_NONE) {
    session_start();
}
?>
<!DOCTYPE html>
<html>

<head>

<?php   include('include/common.php');?>  



</head>

<body>
<?php 

function getURL($matches)
        {
            // $crc = substr(sha1($matches['2']), -8, -1);
            // $_SESSION['defaprotect' . $crc] = $matches['2'];
            // return $matches[1] . "./defavid.php?crc=".$crc;
            $crc = substr(sha1($matches), -8, -1);
            $_SESSION['defaprotect' . $crc] = $matches;
            return  "/defa/code/".$crc;
          }

 // $url=getURL('small.mp4');
 $url=getURL('upload/small.mp4');
 $url=getURL('upload/'.$showfileList->name);
 // echo $url;
 $_SESSION['abc']='1323';
?>

<div class="container">
	<div class="row">
		<div class="col-12 text-center mt-5">
			 <video src='<?php echo $url;?>' controls style="width: 100%;
  height: auto;"></video>

		</div>
	</div>
</div>

</body>
</html>

<?php

ob_flush();

  ?>
